net.i2p.router.dummy

## Class DummyPeerManagerFacade

- java.lang.Object
- - net.i2p.router.dummy.DummyPeerManagerFacade

- All Implemented Interfaces:
    PeerManagerFacade, Service

      public class DummyPeerManagerFacade
      extends Object
      implements PeerManagerFacade

  Manage peer references and keep them up to date so that when asked for peers, it can provide appropriate peers according to the criteria provided. This includes periodically queueing up outbound messages to the peers to test them.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyPeerManagerFacade()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `countPeersByCapability(char capability)`
    `Set<Hash>` | `getPeersByCapability(char capability)`
    `void` | `removeCapabilities(Hash peer)`
    `void` | `renderStatusHTML(Writer out)`
    `void` | `restart()` Perform a soft restart.
    `void` | `setCapabilities(Hash peer, String caps)`
    `void` | `shutdown()` Instruct the service that the router is shutting down and that it should do whatever is necessary to go down gracefully.
    `void` | `startup()` Instruct the service that it should start normal operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyPeerManagerFacade

          public DummyPeerManagerFacade()

  - ### Method Detail

    - #### countPeersByCapability

          public int countPeersByCapability(char capability)

      Specified by:
        `countPeersByCapability` in interface `PeerManagerFacade`

    - #### getPeersByCapability

          public Set<Hash> getPeersByCapability(char capability)

      Specified by:
        `getPeersByCapability` in interface `PeerManagerFacade`

    - #### removeCapabilities

          public void removeCapabilities(Hash peer)

      Specified by:
        `removeCapabilities` in interface `PeerManagerFacade`

    - #### renderStatusHTML

          public void renderStatusHTML(Writer out)

      Specified by:
        `renderStatusHTML` in interface `Service`

    - #### restart

          public void restart()

      Description copied from interface: `Service`
      Perform a soft restart.
      Specified by:
        `restart` in interface `Service`

    - #### setCapabilities

          public void setCapabilities(Hash peer,
                                      String caps)

      Specified by:
        `setCapabilities` in interface `PeerManagerFacade`

    - #### shutdown

          public void shutdown()

      Description copied from interface: `Service`
      Instruct the service that the router is shutting down and that it should do whatever is necessary to go down gracefully. It should not depend on other components at this point. This call DOES block.
      Specified by:
        `shutdown` in interface `Service`

    - #### startup

          public void startup()

      Description copied from interface: `Service`
      Instruct the service that it should start normal operation. This call DOES block until the service is ready.
      Specified by:
        `startup` in interface `Service`